
/// "coupl_eff.h"

/// "WARNING"
// **************************************************************************
// **************************************************************************
/*
                      SINGLE MODE OPTICAL FIBER COUPLING

     This program was thinked and realised by Xavier Outhier at the 
   Czech Thechnical University of Prague (Czech Republic) at the Faculty
   of Nuclear Physics in the department of Physical Electronics.

      This program was created in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

     Please contact me when you use it for your own and give me your
   impression about it (facility of use, bugs,...). Here is my e-mail
                      d2set@multimania.com
	  (precise in the subject or body of message to Xavier Outhier)
	      You can also visit the web site of D2SET association
		          http://www.multimania.com/d2set/


                                                Prague, 29th May 1997

                                                Xavier Outhier

*/
// **************************************************************************
// **************************************************************************
//f

/*************************************************************************/
//ce
//ce  NAME OF FILE            : coupl_eff.h
//ce  VERSION                 : 1.1
//ce  DATE OF CREATION        : 16/06/1997 (Xavier)
//ce  LAST MODIFICATION ON    : 18/06/1997 (Xavier)
//ce  LAST CORRECTION ON      : 02/07/1997 (Xavier)
//ce  COMPATIBILITY           : 1.0
//ce  STAGE OF VERIFICATION   : none
//ce  DESCRIPTION OF THE FILE : Contains functions for computation of coupling
//ce    efficiency based on the article: "Coupling efficiency of optics in
//ce    single-mode fiber components", R. E. Wagner and W. J. Tomlinson,
//ce    August 1982, Vol. 21 N0. 15, Applied Optics.
//ce
/*************************************************************************/

/*************************************************************************/
//cm
//cm  List  of modifications :
//cm
/*************************************************************************/

/*************************************************************************/
//cc
//cc  List  of corrections :
//cc
//cc   v1.1, 02/07/1997, Xavier:
//cc    # Change of name nomaliz_field to normaliz_field
//cc
/*************************************************************************/

/// "Declarations"
double coupl_eff_formula(complex **psy_p_S, double k ,  complex **W,
                         complex **psy_p_R,
                         struct bound_1D bound_x, struct bound_1D bound_y);

complex dbl_cmplx_integral(complex **input_field,
                           struct bound_1D bound_x, struct bound_1D bound_y);

complex power_field(complex **input_field, 
                    struct bound_1D bound_x, struct bound_1D bound_y);

void normaliz_field(complex **input_field,
                   struct bound_1D bound_x, struct bound_1D bound_y);

//f

/*************************************************************************/
//cl
//cl  End of file : coupl_eff.h
//cl
/*************************************************************************/

//f


