
/// "exit_pupil.h"

/// "WARNING"
// **************************************************************************
// **************************************************************************
/*
                      SINGLE MODE OPTICAL FIBER COUPLING

     This program was thinked and realised by Xavier Outhier at the 
   Czech Thechnical University of Prague (Czech Republic) at the Faculty
   of Nuclear Physics in the department of Physical Electronics.

      This program was created in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

     Please contact me when you use it for your own and give me your
   impression about it (facility of use, bugs,...). Here is my e-mail
                      d2set@multimania.com
	  (precise in the subject or body of message to Xavier Outhier)
	      You can also visit the web site of D2SET association
		          http://www.multimania.com/d2set/


                                                Prague, 29th May 1997

                                                Xavier Outhier

*/
// **************************************************************************
// **************************************************************************
//f

/*************************************************************************/
//ce
//ce  NAME OF FILE            : exit_pupil.h
//ce  VERSION                 : 2.2
//ce  DATE OF CREATION        : 10/07/1997 (Xavier)
//ce  LAST MODIFICATION ON    : 25/07/1997 (Xavier)
//ce  LAST CORRECTION ON      : 
//ce  COMPATIBILITY           :1.0
//ce  STAGE OF VERIFICATION   : none
//ce  DESCRIPTION OF THE FILE : Contains functions declaration of file 
//ce   psy_p.c++.
//ce
/*************************************************************************/


/// "Declarations"
complex **psy_p_R_formula(double h_p_rx, double h_p_ry, point2D centre,
                         struct bound_1D bound_xpe, struct bound_1D bound_ype );

complex **psy_p_S_formula(double h_p_sx, double h_p_sy, point2D centre,
                         struct bound_1D bound_xpe, struct bound_1D bound_ype );

complex **gaussian_ffield(double hx, double hy, point2D centre,
                     struct bound_1D bound_xpe, struct bound_1D bound_ype );

complex **misalign_aberration(double W_1x, double W_1y, double W_20,
                     struct bound_1D bound_xpe, struct bound_1D bound_ype,
                     double x0, double y0 );

//f

/*************************************************************************/
//cl
//cl  End of file : exit_pupil.h
//cl
/*************************************************************************/

//f
