
/// "params.h"

/// "WARNING"
// **************************************************************************
// **************************************************************************
/*
                      SINGLE MODE OPTICAL FIBER COUPLING

     This program was thinked and realised by Xavier Outhier at the 
   Czech Thechnical University of Prague (Czech Republic) at the Faculty
   of Nuclear Physics in the department of Physical Electronics.

      This program was created in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

     Please contact me when you use it for your own and give me your
   impression about it (facility of use, bugs,...). Here is my e-mail
                      d2set@multimania.com
	  (precise in the subject or body of message to Xavier Outhier)
	      You can also visit the web site of D2SET association
		          http://www.multimania.com/d2set/


                                                Prague, 29th May 1997

                                                Xavier Outhier

*/
// **************************************************************************
// **************************************************************************
//f

/*************************************************************************/
//ce
//ce  NAME OF FILE            : param.h
//ce  VERSION                 : 1.5
//ce  DATE OF CREATION        : 03/06/1997 (Xavier)
//ce  LAST MODIFICATION ON    : 29/07/1997 (Xavier)
//ce  LAST CORRECTION ON      :
//ce  COMPATIBILITY           : 1.0
//ce  STAGE OF VERIFICATION   : none
//ce  DESCRIPTION OF THE FILE : Headerfile of the file params.c++
//ce
/*************************************************************************/

/*************************************************************************/
//cm
//cm  List  of modifications :
//cm
//cm   v1.1, 09/061997, Xavier:
//cm    # Change of wf_Va to wf_Vstep_a
//cm    # Add of wf_Vparab_a
//cm
//cm   v1.2, 04/07/1997, Xavier:
//cm    # Add of w_gauss
//cm
//cm   v1.3, 23/07/1997, Xavier:
//cm    # Add of reflect_power_coef()
//cm    # Add of Snell_angle(), reflect_TE(), reflect_TM(), transm_TE() 
//cm      and transm_TM()
//cm
/*************************************************************************/

/*************************************************************************/
//cc
//cc  List  of corrections :
//cc
/*************************************************************************/

/// "Declarations"
double wf_Vstep_a(double Vstep, double a);
double wf_Vparab_a(double Vparab, double a);

double wf_lnna(double lambda, double ncore, double nclad, double a);

double w_gauss(double z, double w0, double zR);

double z_R(double n_medium, double lambda, double wG);

double V_norm(double n_core, double n_clad , double lambda, double a);

double reflect_power_coef(double n1, double n2);

double Snell_angle(double n1, double n2 , double theta1);

double reflect_TE(double n1, double n2 , double theta1, double theta2);
double reflect_TM(double n1, double n2 , double theta1, double theta2);

double transm_TE(double n1, double n2 , double theta1, double theta2);
double transm_TM(double n1, double n2 , double theta1, double theta2);

void coef_lin_fib_misalign(double delta_x, double delta_y,
                           double R_p, double delta_R_p,
                           double *W_1x, double *W_1y, double *W_20);

void angl_fib_misalign(double sind_theta_x, double sind_theta_y,
                       double R_p, double *x0, double *y0);

//f

/*************************************************************************/
//cl
//cl  End of file : params.h
//cl
/*************************************************************************/
//f
