
/// "read_param.h"

/// "WARNING"
// **************************************************************************
// **************************************************************************
/*
                      SINGLE MODE OPTICAL FIBER COUPLING

     This program was thinked and realised by Xavier Outhier at the 
   Czech Thechnical University of Prague (Czech Republic) at the Faculty
   of Nuclear Physics in the department of Physical Electronics.

      This program was created in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

     Please contact me when you use it for your own and give me your
   impression about it (facility of use, bugs,...). Here is my e-mail
                      d2set@multimania.com
	  (precise in the subject or body of message to Xavier Outhier)
	      You can also visit the web site of D2SET association
		          http://www.multimania.com/d2set/


                                                Prague, 29th May 1997

                                                Xavier Outhier

*/
// **************************************************************************
// **************************************************************************
//f

/*************************************************************************/
//ce
//ce  NAME OF FILE            : read_param.h
//ce  VERSION                 : 0.1
//ce  DATE OF CREATION        : 07/07/1997 (Xavier)
//ce  LAST MODIFICATION ON    : 30/07/1997 (Xavier)
//ce  LAST CORRECTION ON      : 
//ce  COMPATIBILITY           : 1.0
//ce  STAGE OF VERIFICATION   : (see below)
//ce  DESCRIPTION OF THE FILE : Declaration functions of read_param.c++
//ce
/*************************************************************************/

/*************************************************************************/
//cm
//cm  List  of modifications :
//cm
//cm   v0.1, 08/07/1997, Xavier:
//cm    # Add of void read_position_fibre(void)
//cm             void read_exit_pupil(void)
//cm             void read_caract_light(void)
//cm
/*************************************************************************/

/*************************************************************************/
//cc
//cc  List  of corrections :
//cc
/*************************************************************************/

/// "Declarations"
void read_intrinsic_fibre(void);
void read_position_fibre(void);
void read_source_image(void);
void read_exit_pupil(void);
void read_caract_light(void);

/*************************************************************************/
//cl
//cl  End of file : read_param.h
//cl
/*************************************************************************/
//f
